# GameModeListener (server 1.1 API)
declaration: package: dev.plex.listener.impl, class: GameModeListener

Package dev.plex.listener.impl

# Class GameModeListener

java.lang.Object
dev.plex.listener.PlexListener
dev.plex.listener.impl.GameModeListener

All Implemented Interfaces:
  `PlexBase`, `org.bukkit.event.Listener`

public class GameModeListener extends PlexListener

## Field Summary

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`GameModeListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onGameModeUpdate(dev.plex.api.event.GameModeUpdateEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GameModeListener

public GameModeListener()

## Method Details

### onGameModeUpdate

public void onGameModeUpdate(dev.plex.api.event.GameModeUpdateEvent event)